; ===========================
; Sharp X1
; ===========================

; all keys can be overridden for a particular board using key.<boardtag>
; example:
;   priority = 0
;   priority.rpi4 = 3
; Complete sections may be overridden. In such cases, all key from the global section are ignored,
; you must redefine them all
; example
; [core.0]
; [core.0.rpi4]
; Board tags are defined by BR2_PACKAGE_RECALBOX_TARGET_<tag>

[system]
uuid = "c2adcca8-96a1-4ca4-bdea-645c2ac99d3e"
name = "x1"
fullname = "Sharp X1"
platforms = "x1"
theme.folder = "x1"
roms.folder = "%ROOT%/x1"
screenscraper.id = 220
doc.link.fr = "https://wiki.recalbox.com/fr/emulators/computers/sharp-x1"
doc.link.en = "https://wiki.recalbox.com/en/emulators/computers/sharp-x1"
port = 0
readonly = 0
icon.unicode = $F2ec

[properties]
type = computer
device.pad = mandatory
device.keyboard = recommended
device.mouse = no
device.lightgun = no
release.date = "1982-01"
manufacturer = "Sharp"
retroachievements = 0
crt.multiresolution = 0
crt.multiregion = 0

[core.0]
package = BR2_PACKAGE_LIBRETRO_XMIL
priority = 1
emulator = "libretro"
core = "x1"
extensions = ".dx1 .2d .2hd .tfd .d88 .88d .hdm .xdf .dup .cmd .zip .7z .m3u"
netplay = 0
compatibility = high
speed = high
